Package ch.qos.logback.core.joran

## Class GenericConfigurator

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.GenericConfigurator

All Implemented Interfaces:
  `ContextAware`

Direct Known Subclasses:
  `JoranConfiguratorBase`, `SiftingJoranConfiguratorBase`

    public abstract class GenericConfigurator
    extends ContextAwareBase

### Field Summary

Fields
`protected Interpreter` `interpreter`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`GenericConfigurator()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `addDefaultNestedComponentRegistryRules​(DefaultNestedComponentRegistry registry)`
`protected abstract void` `addImplicitRules​(Interpreter interpreter)`
`protected abstract void` `addInstanceRules​(RuleStore rs)`
`protected void` `buildInterpreter()`
`void` `doConfigure​(java.io.File file)`
`void` `doConfigure​(java.io.InputStream inputStream)`
`void` `doConfigure​(java.io.InputStream inputStream, java.lang.String systemId)`
`void` `doConfigure​(java.lang.String filename)`
`void` `doConfigure​(java.net.URL url)`
`void` `doConfigure​(java.util.List<SaxEvent> eventList)`
`void` `doConfigure​(org.xml.sax.InputSource inputSource)`
`protected BeanDescriptionCache` `getBeanDescriptionCache()`
`static void` `informContextOfURLUsedForConfiguration​(Context context, java.net.URL url)`
`protected ElementPath` `initialElementPath()`
`java.util.List<SaxEvent>` `recallSafeConfiguration()` Recall the event list previously registered as a safe point.
`void` `registerSafeConfiguration​(java.util.List<SaxEvent> eventList)` Register the current event list in currently in the interpreter as a safe configuration point.

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### interpreter

    protected Interpreter interpreter

### Constructor Detail

#### GenericConfigurator

    public GenericConfigurator()

### Method Detail

#### doConfigure

    public final void doConfigure​(java.net.URL url)
                           throws JoranException

Throws:
  `JoranException`

#### doConfigure

    public final void doConfigure​(java.lang.String filename)
                           throws JoranException

Throws:
  `JoranException`

#### doConfigure

    public final void doConfigure​(java.io.File file)
                           throws JoranException

Throws:
  `JoranException`

#### informContextOfURLUsedForConfiguration

    public static void informContextOfURLUsedForConfiguration​(Context context,
                                                              java.net.URL url)

#### doConfigure

    public final void doConfigure​(java.io.InputStream inputStream)
                           throws JoranException

Throws:
  `JoranException`

#### doConfigure

    public final void doConfigure​(java.io.InputStream inputStream,
                                  java.lang.String systemId)
                           throws JoranException

Throws:
  `JoranException`

#### getBeanDescriptionCache

    protected BeanDescriptionCache getBeanDescriptionCache()

#### addInstanceRules

    protected abstract void addInstanceRules​(RuleStore rs)

#### addImplicitRules

    protected abstract void addImplicitRules​(Interpreter interpreter)

#### addDefaultNestedComponentRegistryRules

    protected void addDefaultNestedComponentRegistryRules​(DefaultNestedComponentRegistry registry)

#### initialElementPath

    protected ElementPath initialElementPath()

#### buildInterpreter

    protected void buildInterpreter()

#### doConfigure

    public final void doConfigure​(org.xml.sax.InputSource inputSource)
                           throws JoranException

Throws:
  `JoranException`

#### doConfigure

    public void doConfigure​(java.util.List<SaxEvent> eventList)
                     throws JoranException

Throws:
  `JoranException`

#### registerSafeConfiguration

    public void registerSafeConfiguration​(java.util.List<SaxEvent> eventList)

Register the current event list in currently in the interpreter as a safe configuration point.

Since:
  0.9.30

#### recallSafeConfiguration

    public java.util.List<SaxEvent> recallSafeConfiguration()

Recall the event list previously registered as a safe point.